"""
Complete implementation of the XDG Base Directory Standard
http://www.freedesktop.org/standards/basedir-spec/
"""

import os, string

class BaseDirectory:
	def get_XDG_DATA_HOME(self):
		return self.__XDG_DATA_HOME()
		
	def get_XDG_CONFIG_HOME(self):
		return self.__XDG_CONFIG_HOME()
			
	def get_XDG_DATA_DIRS(self):
		return string.split(self.__XDG_DATA_HOME() + ":" + self.__XDG_DATA_DIRS(), ":")

	def get_XDG_CONFIG_DIRS(self):
		return string.split(self.__XDG_CONFIG_HOME() + ":" + self.__XDG_CONFIG_DIRS(), ":")

	def print_XDG_DATA_HOME(self):
		print self.__XDG_DATA_HOME()

	def print_XDG_CONFIG_HOME(self):
		print self.__XDG_DATA_HOME()
	
	def print_XDG_CONFIG_DIRS(self):
		print self.__XDG_CONFIG_DIRS()

	def print_XDG_DATA_DIRS(self):
		print self.__XDG_DATA_DIRS()
	
	def __XDG_DATA_HOME(self):
		HOME = os.getenv("HOME")
		return os.getenv("XDG_DATA_HOME",   os.path.join(HOME, ".local/share"))
	
	def __XDG_CONFIG_HOME(self):
		HOME = os.getenv("HOME")
		return os.getenv("XDG_CONFIG_HOME", os.path.join(HOME, ".config"))
	
	def __XDG_DATA_DIRS(self):
		return os.getenv("XDG_DATA_DIRS",   "/usr/local/share:/usr/share")

	def __XDG_CONFIG_DIRS(self):
		return os.getenv("XDG_CONFIG_DIRS", "/etc/xdg")
